
*************************************************************************************
*************************************************************************************
***************Metodij Hadzi-Vaskov and Luca Antonio Ricci***************************
******"Does Gross or Net Debt Matter More for Emerging Market Spreads?***************
********************Journal of Money, Credit, and Banking****************************
*************************************************************************************
*************************************************************************************



use "\\Data2\whd\DATA\S2\CHL\Research\2016 metodij luca\gross net debt\JMCB\For publication\17-251.dta", clear 

xtset ifs_code year


*************************************************************************************
***************************************TABLE 1**************************************
*************************************************************************************
 
su embig d_gg_gr2y_weo d_gg_net2y_weo d_gg_a2y_weo VIX RGAY_US g_gdp_r g_cpi grossassets if sample1==1

 
*************************************************************************************
***************************************TABLE 3**************************************
*************************************************************************************
 
xtreg embig d_gg_gr2y_weo  if year>=1990 & year<=2014 &  sample1==1,fe  

outreg2 using Table3.xls, replace pval  title(Panel Regressions)

xtreg embig  d_gg_net2y_weo  if year>=1990 & year<=2014 &  sample1==1,fe 

outreg2 using Table3.xls, append pval  title(Panel Regressions)

xtreg embig  d_gg_a2y_weo  if year>=1990 & year<=2014 &  sample1==1,fe

outreg2 using Table3.xls, append pval  title(Panel Regressions)

xtreg embig  d_gg_gr2y_weo d_gg_a2y_weo  if year>=1990 & year<=2014 &  sample1==1,fe

outreg2 using Table3.xls, append pval  title(Panel Regressions)

xtreg embig  d_gg_gr2y_weo d_gg_net2y_weo  if year>=1990 & year<=2014 &  sample1==1,fe

outreg2 using Table3.xls, append pval  title(Panel Regressions)

xtreg embig  d_gg_net2y_weo d_gg_a2y_weo  if year>=1990 & year<=2014 &  sample1==1,fe

outreg2 using Table3.xls, append pval  title(Panel Regressions)

 
*************************************************************************************
***************************************TABLE 4**************************************
*************************************************************************************
 

xtreg embig  d_gg_gr2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014  &  sample1==1,fe

outreg2 using Table4.xls, replace pval  title(Panel Regressions)

xtreg embig  d_gg_net2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014 &  sample1==1 ,fe

outreg2 using Table4.xls, append pval  title(Panel Regressions)

xtreg embig  d_gg_a2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014 &  sample1==1,fe

outreg2 using Table4.xls, append pval  title(Panel Regressions)

xtreg embig  d_gg_gr2y_weo d_gg_a2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014 &  sample1==1,fe

outreg2 using Table4.xls, append pval  title(Panel Regressions)

test d_gg_gr2y_weo + d_gg_a2y_weo = 0

xtreg embig  d_gg_gr2y_weo d_gg_net2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014 &  sample1==1,fe

outreg2 using Table4.xls, append pval  title(Panel Regressions)

xtreg embig  d_gg_net2y_weo d_gg_a2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014 &  sample1==1,fe

outreg2 using Table4.xls, append pval  title(Panel Regressions)

 
 
*************************************************************************************
***************************************TABLE 5a**************************************
*************************************************************************************
 
 
*all EMEs
xtreg embig  d_gg_gr2y_weo d_gg_a2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014 ,fe
outreg2 using Table5a.xls, replace pval  title(Panel Regressions)

test d_gg_gr2y_weo + d_gg_a2y_weo = 0

*LAC only
xtreg embig  d_gg_gr2y_weo d_gg_a2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014 & region==5,fe
outreg2 using Table5a.xls, append pval  title(Panel Regressions)

test d_gg_gr2y_weo + d_gg_a2y_weo = 0

*Emerging Europe
xtreg embig  d_gg_gr2y_weo d_gg_a2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014 & region==2,fe
outreg2 using Table5a.xls, append pval  title(Panel Regressions)

test d_gg_gr2y_weo + d_gg_a2y_weo = 0

*Emerging Europe ex Hungary
xtreg embig  d_gg_gr2y_weo d_gg_a2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014 & region==2 & ifs_code!=944,fe
outreg2 using Table5a.xls, append pval  title(Panel Regressions)

test d_gg_gr2y_weo + d_gg_a2y_weo = 0

*other countries 
xtreg embig  d_gg_gr2y_weo d_gg_a2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014 & region!=5 & region!=2,fe
outreg2 using Table5a.xls, append pval  title(Panel Regressions)

test d_gg_gr2y_weo + d_gg_a2y_weo = 0

*all EMEs except MENAAP
xtreg embig  d_gg_gr2y_weo d_gg_a2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014 & ifs_code!=469 & ifs_code!=439 & ifs_code!=686 & ifs_code!=564,fe
outreg2 using Table5a.xls, append pval  title(Panel Regressions)

test d_gg_gr2y_weo + d_gg_a2y_weo = 0 
 

 
 
*************************************************************************************
***************************************TABLE 5b**************************************
*************************************************************************************
 

 
 
***LAGGED DOMESTIC
xtset ifs_code year
for var d_gg_gr2y_weo d_gg_a2y_weo d_gg_net2y_weo g_gdp_r g_cpi: gen lX=L.X
for var d_gg_gr2y_weo d_gg_a2y_weo d_gg_net2y_weo g_gdp_r g_cpi: gen l2X=L2.X
/*
gen ld_gg_gr2y_weo = d_gg_gr2y_weo[_n-1] 
gen ld_gg_net2y_weo = d_gg_net2y_weo[_n-1]
gen ld_gg_a2y_weo = d_gg_a2y_weo[_n-1]
gen lVIX = VIX[_n-1]
gen lRGAY_US = RGAY_US[_n-1]
gen lg_gdp_r = g_gdp_r[_n-1]
gen lg_cpi = g_cpi[_n-1]
*/
*** just for sample
xtreg embig  ld_gg_net2y_weo ld_gg_a2y_weo VIX RGAY_US lg_gdp_r lg_cpi if year>=1990 & year<=2014 ,fe
estimates store m2
generate samplelagged = e(sample)

**** ADD THIS REGRESSION WHICH SIMPLY LAGS DOMESTIC VARIABLES 
*** BENCHMARK
xtreg embig  ld_gg_gr2y_weo ld_gg_a2y_weo VIX RGAY_US  lg_gdp_r lg_cpi if year>=1990 & year<=2014 ,fe
outreg2 using Table5b.xls, replace pval  title(Panel Regressions)

test ld_gg_gr2y_weo+ld_gg_a2y_weo=0



*all EMEs with time effects
xtreg embig  d_gg_gr2y_weo d_gg_a2y_weo g_gdp_r g_cpi i.year if year>=1990 & year<=2014 ,fe
outreg2 using Table5b.xls, append pval  title(Panel Regressions)

test d_gg_gr2y_weo + d_gg_a2y_weo = 0
 
 

***Instrumental Variables (IV)
***
global list2 "	VIX RGAY_US " 
global list3 "d_gg_gr2y_weo d_gg_a2y_weo g_gdp_r g_cpi" 
global list4 "ld_gg_gr2y_weo ld_gg_a2y_weo lg_gdp_r lg_cpi"
 
**** ADD THIS REGRESSION INSTRUMENTING THE DOMESTIC VARIABLES WITH 2 LAGS OF ALL DOMESTIC VARIABLES
global list5 "ld_gg_gr2y_weo ld_gg_a2y_weo lg_gdp_r lg_cpi l2d_gg_gr2y_weo l2d_gg_a2y_weo l2g_gdp_r l2g_cpi"
xi: ivreg2 embig   $list2  i.ifs_code ($list3 = $list5) , bw(3)robust small

outreg2 using Table5b.xls, append pval  title(Panel Regressions)

test d_gg_gr2y_weo + d_gg_a2y_weo=0


*DYNAMIC
xtreg embig l.embig d_gg_gr2y_weo d_gg_a2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014 ,fe
outreg2 using Table5b.xls, append pval  title(Panel Regressions)

*GMM
xtabond embig l.embig d_gg_gr2y_weo d_gg_a2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014
outreg2 using Table5b.xls, append pval  title(Panel Regressions)

  
*mean-group estimator
xtmg embig  d_gg_gr2y_weo d_gg_a2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014
outreg2 using Table5b.xls, append pval  title(Panel Regressions)

test d_gg_gr2y_weo + d_gg_a2y_weo = 0

gen mgx1=1 if e(sample)

*all EMEs included in mean-group estimation
xtreg embig  d_gg_gr2y_weo d_gg_a2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014 & mgx1==1,fe
outreg2 using Table5b.xls, append pval  title(Panel Regressions)

test d_gg_gr2y_weo + d_gg_a2y_weo = 0





***
xtreg embig  d_gg_net2y_weo d_gg_a2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014 ,fe
estimates store m2
generate sample4 = e(sample)
***



*************************************************************************************
***************************************TABLE 6**************************************
*************************************************************************************
 

xtreg cds  d_gg_gr2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014 & sample4==1 ,fe

outreg2 using Table6.xls, replace pval  title(Panel Regressions)

xtreg cds  d_gg_net2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014  & sample4==1 ,fe

outreg2 using Table6.xls, append pval  title(Panel Regressions)

xtreg cds  d_gg_a2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014 & sample4==1 ,fe

outreg2 using Table6.xls, append pval  title(Panel Regressions)

xtreg cds  d_gg_gr2y_weo d_gg_a2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014 & sample4==1 ,fe

outreg2 using Table6.xls, append pval  title(Panel Regressions)

xtreg cds  d_gg_gr2y_weo d_gg_net2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014 & sample4==1 ,fe

outreg2 using Table6.xls, append pval  title(Panel Regressions)

xtreg cds  d_gg_net2y_weo d_gg_a2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014 & sample4==1  ,fe

outreg2 using Table6.xls, append pval  title(Panel Regressions)





*************************************************************************************
***************************************TABLE 7**************************************
*************************************************************************************


xtreg embig  d_gg_gr2y_weo d_gg_a2y_weo VIX RGAY_US  primarybal   g_gdp_r g_cpi if year>=1990 & year<=2014 ,fe
outreg2 using Table7.xls, replace pval  title(Panel Regressions)
test d_gg_a2y_weo + d_gg_gr2y_weo =0

xtreg embig  d_gg_gr2y_weo d_gg_a2y_weo VIX RGAY_US   output_gap   g_gdp_r g_cpi if year>=1990 & year<=2014 ,fe
outreg2 using Table7.xls, append pval  title(Panel Regressions)
test d_gg_a2y_weo + d_gg_gr2y_weo =0

xtreg embig  d_gg_gr2y_weo d_gg_a2y_weo VIX RGAY_US  current_account  g_gdp_r g_cpi if year>=1990 & year<=2014 ,fe
outreg2 using Table7.xls, append pval  title(Panel Regressions)
test d_gg_a2y_weo + d_gg_gr2y_weo =0	

xtreg embig  d_gg_gr2y_weo d_gg_a2y_weo VIX RGAY_US  ext_debt g_gdp_r g_cpi if year>=1990 & year<=2014 ,fe
outreg2 using Table7.xls, append pval  title(Panel Regressions)
test d_gg_a2y_weo + d_gg_gr2y_weo =0

xtreg embig  d_gg_gr2y_weo d_gg_a2y_weo VIX RGAY_US  debt_service g_gdp_r g_cpi if year>=1990 & year<=2014 ,fe
outreg2 using Table7.xls, append pval  title(Panel Regressions)
test d_gg_a2y_weo + d_gg_gr2y_weo =0

xtreg embig  d_gg_gr2y_weo d_gg_a2y_weo VIX RGAY_US  primarybal  output_gap current_account ext_debt debt_service g_gdp_r g_cpi if year>=1990 & year<=2014 ,fe
outreg2 using Table7.xls, append pval  title(Panel Regressions)
test d_gg_a2y_weo + d_gg_gr2y_weo =0




*************************************************************************************
***************************************TABLE 8**************************************
*************************************************************************************
  
gen dummy20=0
replace dummy20=1 if VIX>20

gen dummy_embi_2stdev=0
replace dummy_embi_2stdev=1 if embig>9.3 

gen d20_d_gg_gr2y_weo=d_gg_gr2y_weo*dummy20
gen d20_d_gg_a2y_weo=d_gg_a2y_weo*dummy20

gen d2stdev_d_gg_gr2y_weo=d_gg_gr2y_weo*dummy_embi_2stdev
gen d2stdev_d_gg_a2y_weo=d_gg_a2y_weo*dummy_embi_2stdev

xtreg embig  d_gg_gr2y_weo d20_d_gg_gr2y_weo d_gg_a2y_weo d20_d_gg_a2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014 ,fe
outreg2 using Table8.xls, replace pval  title(Panel Regressions)

test d_gg_gr2y_weo + d_gg_a2y_weo=0
test d_gg_gr2y_weo + d20_d_gg_gr2y_weo + d_gg_a2y_weo + d20_d_gg_a2y_weo=0

xtreg embig  d_gg_gr2y_weo d2stdev_d_gg_gr2y_weo d_gg_a2y_weo d2stdev_d_gg_a2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014 ,fe
outreg2 using Table8.xls, append pval  title(Panel Regressions)

test d_gg_gr2y_weo + d_gg_a2y_weo=0
test d_gg_gr2y_weo + d2stdev_d_gg_gr2y_weo + d_gg_a2y_weo + d2stdev_d_gg_a2y_weo=0

gen d20_d_gg_net2y_weo=d_gg_net2y_weo*dummy20
gen d2stdev_d_gg_net2y_weo=d_gg_net2y_weo*dummy_embi_2stdev

xtreg embig  d_gg_net2y_weo d20_d_gg_net2y_weo  VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014 &sample1==1,fe
outreg2 using Table8.xls, append pval  title(Panel Regressions)

xtreg embig  d_gg_net2y_weo d2stdev_d_gg_net2y_weo  VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014 &sample1==1,fe
outreg2 using Table8.xls, append pval  title(Panel Regressions)




*** 
*grossassets/nonlinerarity
xtreg embig  d_gg_net2y_weo  grossassets VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014 ,fe
gen nonlin=1 if e(sample)
***

*************************************************************************************
***************************************TABLE 9**************************************
*************************************************************************************
 
xtreg embig  d_gg_net2y_weo  if year>=1990 & year<=2014 &nonlin==1,fe 

outreg2 using results_NEW.xls, append pval  title(Panel Regressions)

xtreg embig  d_gg_net2y_weo  grossassets if year>=1990 & year<=2014 &nonlin==1,fe 

outreg2 using results_NEW.xls, append pval  title(Panel Regressions)

xtreg embig  d_gg_net2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014 &nonlin==1,fe

outreg2 using results_NEW.xls, append pval  title(Panel Regressions)

xtreg embig  d_gg_net2y_weo  grossassets VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014 &nonlin==1,fe

outreg2 using results_NEW.xls, append pval


***
xtreg cds  d_gg_gr2y_weo d_gg_a2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014 & region==1 ,fe
estimates store m2
generate sample_cds_ae = e(sample) 
***

*************************************************************************************
***************************************TABLE 10**************************************
*************************************************************************************
 
 
xtreg cds  d_gg_gr2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014 & region==1 & sample_cds_ae==1,fe

outreg2 using Table10.xls, replace pval  title(Panel Regressions)

xtreg cds  d_gg_net2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014  & region==1 & sample_cds_ae==1,fe

outreg2 using Table10.xls, append pval  title(Panel Regressions)

xtreg cds  d_gg_a2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014 & region==1 & sample_cds_ae==1,fe

outreg2 using Table10.xls, append pval  title(Panel Regressions)

xtreg cds  d_gg_gr2y_weo d_gg_a2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014 & region==1 & sample_cds_ae==1,fe

outreg2 using Table10.xls, append pval  title(Panel Regressions)

xtreg cds  d_gg_gr2y_weo d_gg_net2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014 & region==1 & sample_cds_ae==1,fe

outreg2 using Table10.xls, append pval  title(Panel Regressions)

xtreg cds  d_gg_net2y_weo d_gg_a2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014 & region==1  & sample_cds_ae==1,fe

outreg2 using Table10.xls, append pval  title(Panel Regressions)

 
*************************************************************************************
***************************************TABLE 11**************************************
*************************************************************************************
 
 
xtreg RGAY  d_gg_gr2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014 & region==1 &sample_cds_ae==1,fe

outreg2 using Table11.xls, replace pval  title(Panel Regressions)

xtreg RGAY  d_gg_net2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014  & region==1 &sample_cds_ae==1 ,fe

outreg2 using Table11.xls, append pval  title(Panel Regressions)

xtreg RGAY  d_gg_a2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014 & region==1 &sample_cds_ae==1 ,fe

outreg2 using Table11.xls, append pval  title(Panel Regressions)

xtreg RGAY  d_gg_gr2y_weo d_gg_a2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014 & region==1 &sample_cds_ae==1 ,fe

outreg2 using Table11.xls, append pval  title(Panel Regressions)

xtreg RGAY  d_gg_gr2y_weo d_gg_net2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014 & region==1 &sample_cds_ae==1 ,fe

outreg2 using Table11.xls, append pval  title(Panel Regressions)

xtreg RGAY  d_gg_net2y_weo d_gg_a2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014 & region==1  &sample_cds_ae==1 ,fe

outreg2 using Table11.xls, append pval  title(Panel Regressions)

 
*************************************************************************************
***************************************TABLE 12**************************************
*************************************************************************************
 
xtreg RGAY  d_gg_gr2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014  &  sample1==1,fe

outreg2 using Table12.xls, replace pval  title(Panel Regressions)

xtreg RGAY  d_gg_net2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014 &  sample1==1 ,fe

outreg2 using Table12.xls, append pval  title(Panel Regressions)

xtreg RGAY  d_gg_a2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014 &  sample1==1,fe

outreg2 using Table12.xls, append pval  title(Panel Regressions)

xtreg RGAY  d_gg_gr2y_weo d_gg_a2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014 &  sample1==1,fe

outreg2 using Table12.xls, append pval  title(Panel Regressions)

test d_gg_gr2y_weo + d_gg_a2y_weo = 0

xtreg RGAY  d_gg_gr2y_weo d_gg_net2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014 &  sample1==1,fe

outreg2 using Table12.xls, append pval  title(Panel Regressions)

xtreg RGAY  d_gg_net2y_weo d_gg_a2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014 &  sample1==1,fe

outreg2 using Table12.xls, append pval  title(Panel Regressions)


***
xtreg RGAY  d_gg_gr2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014  &  sample1==1,fe
estimates store m2
generate lc_eme = e(sample)
*** 
 
*************************************************************************************
***************************************TABLE 13**************************************
*************************************************************************************
 

xtreg embig  d_gg_gr2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014  &  sample1==1 & lc_eme==1,fe

outreg2 using Table13.xls, replace pval  title(Panel Regressions)

xtreg embig  d_gg_net2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014 &  sample1==1 & lc_eme==1,fe

outreg2 using Table13.xls, append pval  title(Panel Regressions)

xtreg embig  d_gg_a2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014 &  sample1==1 & lc_eme==1,fe

outreg2 using Table13.xls, append pval  title(Panel Regressions)

xtreg embig  d_gg_gr2y_weo d_gg_a2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014 &  sample1==1 & lc_eme==1,fe

outreg2 using Table13.xls, append pval  title(Panel Regressions)

test d_gg_gr2y_weo + d_gg_a2y_weo = 0

xtreg embig  d_gg_gr2y_weo d_gg_net2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014 &  sample1==1 & lc_eme==1,fe

outreg2 using Table13.xls, append pval  title(Panel Regressions)

xtreg embig  d_gg_net2y_weo d_gg_a2y_weo VIX RGAY_US g_gdp_r g_cpi if year>=1990 & year<=2014 &  sample1==1 & lc_eme==1,fe

outreg2 using Table13.xls, append pval  title(Panel Regressions)
